SoDecomposeVec2f(3IV)

NAME
SoDecomposeVec2f — decomposes 2D vectors into floating-point values

INHERITS FROM
SoBase > SoFieldContainer > SoEngine > SoDecomposeVec2f

SYNOPSIS
#include <Inventor/engines/SoCompose.h>

Inputs from class SoDecomposeVec2f:

SoMFVec2f
vector

Outputs from class SoDecomposeVec2f:

(SoMFFloat)
x
(SoMFFloat)
y

Methods from class SoDecomposeVec2f:

SoDecomposeVec2f()

Methods from class SoEngine:

static SoType
getClassTypeId()
virtual int
getOutputs(SoEngineOutputList &list) const
SoEngineOutput *
getOutput(const SbName &outputName) const
SbBool
getOutputName(const SoEngineOutput *output, SbName &outputName) const
SoEngine *
copy() const
static SoEngine *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoEngineList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This engine takes as input a 2D vector, and decomposes it into two single floating-point values.

The input can have multiple values, allowing the engine to decompose several vectors in parallel.

INPUTS
SoMFVec2f
vector
Vector to be decomposed.

OUTPUTS
(SoMFFloat)
x
First component of the vector.

(SoMFFloat)
y
Second component of the vector.

METHODS

SoDecomposeVec2f()
Constructor

FILE FORMAT/DEFAULTS
DecomposeVec2f {
vector	0 0
}

SEE ALSO
SoComposeVec2f, SoEngineOutput